#### Previous topic

scipy.interpolate.BPoly.derivative

#### Next topic

scipy.interpolate.BPoly.integrate

# scipy.interpolate.BPoly.antiderivative

`BPoly.``antiderivative`(nu=1)

  Construct a new piecewise polynomial representing the antiderivative.

  Parameters:

  nu : int, optional

  > Order of derivative to evaluate. (Default: 1) If negative, the derivative is returned.

  Returns:

  bp : BPoly

  > Piecewise polynomial of order k2 = k + nu representing the antiderivative of this polynomial.